View Issue Details

IDProjectCategoryView StatusLast Update
0002002FreeCADBugpublic2016-01-19 14:21
Reporterquick61 Assigned Toian.rees  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.16 
Summary0002002: Mesh Faces Not Conforming With Tessellation Settings
DescriptionWhen exporting mesh, (.stl) or rendering with POV-Ray, mesh faces are not adhering to the setting defined in the tessellation max deviation setting.
Steps To ReproduceCreate a Sphere in the Part Workbench.

Export Sphere as mesh with default tessellation setting - 0.5

Export Sphere as mesh with new tessellation setting - 0.01

Faces of exported mesh are the same.
Additional InformationSee forum thread - http://forum.freecadweb.org/viewtopic.php?f=3&t=10086
TagsNo tags attached.
FreeCAD Information

Activities

quick61

2015-03-12 15:46

reporter   ~0005863

Last edited: 2015-03-12 15:47

View 2 revisions

Sorry, forgot this -

OS: Kubuntu 14.04.2 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.15.4648 (Git)
Branch: master
Hash: 0063b8093768825ba954ec84cc9ebd19f766b50a
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17

ian.rees

2015-12-19 07:32

developer   ~0006618

In Mesh module's exporter() method (defined in src/Mod/Mesh/App/AppMeshPy.cpp ) , there's a line: float fTolerance = 0.1f;

I suspect that's the problem - it ends up getting passed on to OCC/OCE for exporting regular parts. My inclination (haven't thought about this too much) is to add a preferences page for the mesh module, any thoughts?

yorik

2015-12-20 23:20

administrator   ~0006621

the tessellation max deviation is a visual setting, I think it should not be used for mesh conversion (it could easily lead to huge conversions that could block the whole thing).

I think Ian's suggestion is good. Ideally all the meshing options of the Mesh WB should be made available. I did something like that for the DAE format (enable arch WB and look in preferences). This could actually be used for all implicit Part to Mesh conversions...

ian.rees

2016-01-18 09:46

developer   ~0006729

Last edited: 2016-01-19 08:14

View 2 revisions

I've started working on adding a tab for "Mesh Formats" under the "Import-Export" preferences section to address this.

Edit: Pull request https://github.com/FreeCAD/FreeCAD/pull/78

Related Changesets

FreeCAD: master b6a1fd85

2016-01-19 08:44:17

ian.rees

Details Diff
Added ability to change mesh export tolerance. Affected Issues
0002002
mod - src/Mod/Mesh/App/AppMeshPy.cpp Diff File
mod - src/Mod/Mesh/Gui/AppMeshGui.cpp Diff File
mod - src/Mod/Mesh/Gui/CMakeLists.txt Diff File
add - src/Mod/Mesh/Gui/DlgSettingsImportExport.ui Diff File
add - src/Mod/Mesh/Gui/DlgSettingsImportExportImp.cpp Diff File
add - src/Mod/Mesh/Gui/DlgSettingsImportExportImp.h Diff File

FreeCAD: master f4807914

2016-01-19 14:25:16

yorik

Details Diff
Made last commit non-C++11 compatible Affected Issues
0002002
mod - src/Mod/Mesh/App/AppMeshPy.cpp Diff File
mod - src/Mod/Mesh/Gui/DlgSettingsImportExportImp.cpp Diff File
mod - src/Mod/Mesh/Gui/DlgSettingsImportExportImp.h Diff File

Issue History

Date Modified Username Field Change
2015-03-12 15:44 quick61 New Issue
2015-03-12 15:46 quick61 Note Added: 0005863
2015-03-12 15:47 quick61 Note Edited: 0005863 View Revisions
2015-12-19 07:32 ian.rees Note Added: 0006618
2015-12-20 23:20 yorik Note Added: 0006621
2016-01-18 09:46 ian.rees Note Added: 0006729
2016-01-19 08:12 ian.rees Assigned To => ian.rees
2016-01-19 08:12 ian.rees Status new => assigned
2016-01-19 08:14 ian.rees Note Edited: 0006729 View Revisions
2016-01-19 14:20 wmayer Changeset attached => FreeCAD Master master b6a1fd85
2016-01-19 14:20 wmayer Changeset attached => FreeCAD Master master f4807914
2016-01-19 14:21 wmayer Status assigned => closed
2016-01-19 14:21 wmayer Resolution open => fixed
2016-01-19 14:21 wmayer Fixed in Version => 0.16